<%@ Page Language="C#" AutoEventWireup="true" Inherits="ui.page.sitemap" ValidateRequest="false" %>
<%@ Import namespace="System.Collections.Generic" %>
<%@ Import namespace="System.Text" %>
<%@ Import namespace="System.Data" %>
<%@ Import namespace="Common" %>

<script runat="server">
override protected void OnInit(EventArgs e)
{

	/* 
		This page was created by WJDHcms Template Engine at 2019/5/22 17:04:20.
		本页面代码由XPMOF模板引擎生成于 2019/5/22 17:04:20. 
	*/

	base.OnInit(e);
	StringBuilder templateBuilder = new StringBuilder(220000);

	templateBuilder.Append("<dl id=\"wjdh-side-hot\">\r\n\r\n\r\n  <dt><i></i><a href=\"");
	templateBuilder.Append(linkurl(1,"48"));

	templateBuilder.Append("\" title=\"热门推荐\">热门推荐</a></dt>\r\n\r\n\r\n  <ul>\r\n\r\n\r\n    ");
	DataTable producthot=get_content_list(48,5,"hot = 1","listorder desc,id desc");

	foreach(DataRow dr in producthot.Rows)
	{

	templateBuilder.Append("\r\n\r\n\r\n    <li>\r\n\r\n\r\n      <div class=\"img\"> <a href=\"");
	templateBuilder.Append(linkurl(1,Utils.ObjectToStr(dr["catid"]),Utils.ObjectToStr(dr["id"])));

	templateBuilder.Append("\"> <img data-thumb=\"" + Utils.ObjectToStr(dr["shape"]) + "\" src=\"" + Utils.ObjectToStr(dr["thumb"]) + "\" alt=\"" + Utils.ObjectToStr(dr["title"]) + "\"> </a> </div>\r\n\r\n\r\n      <a href=\"");
	templateBuilder.Append(linkurl(1,Utils.ObjectToStr(dr["catid"]),Utils.ObjectToStr(dr["id"])));

	templateBuilder.Append("\" class=\"title-a\">" + Utils.ObjectToStr(dr["title"]) + "</a> </li>\r\n\r\n\r\n    ");
	}	//end for if

	templateBuilder.Append("\r\n\r\n\r\n  </ul>\r\n\r\n\r\n</dl>\r\n\r\n\r\n");
	Response.Write(templateBuilder.ToString());
}
</script>
